#Include Once "xfont.bi"

Dim Shared As xfont.interface font
Dim As single step_=680
Dim As WString*50 M(5)={_
"Информация.",_
"Данный код написан",_
"Станиславом Будиновым.",_
"Это показательный пример",_
"возможностей великолепной",_
"библиотеки Xfont."}

ScreenRes 800,600,32,,1
Dim As Any Ptr img = imagecreate(600,390,0)
font.loadfont("66666.xf", 1)
font.fontindex = 1
font.backcolor = 0
font.forecolor = &hFFFFDD00
For i As Integer=0 To 5
	font.drawstring (img,m(i),(590-Len(m(i))*23)\2,i*60)
Next

Do
	Cls
	ScreenLock
   Put (100,step_),img
   ScreenUnLock
	Step_-=1
	If step_<-395 Then step_=550
	Sleep(10)
Loop Until MultiKey(1) 'Esc
